#### D.6.9.2 coDim

Procedure from library `classifyMapGerms.lib` (see classifyMapGerms_lib).

Usage:
  coDim(module M, module N, ideal I,int bound, list #); M is a submodule in A^r over the basering=:A, N is a submodule in R^r over the subring R of the basering generated by the entries of I

Compute:
  computes the K-vectorspace dimension of A^r/M+N+maxideal(bound)*A^r

Return:
  an integer

Note:
  if # is not empty the bound is corrected by computing determinacy

Example:

    LIB "classifyMapGerms.lib";
    ring R=0,(x,y),(c,ds);
    poly f1=x;
    poly f2=xy+y5+y7;
    poly f11=f1+f2*f1;
    poly f22=f2+f1^2;
    map phi=basering,x+y,y+y2;
    f1=phi(f11);
    f2=phi(f22);
    ideal I=f1,f2;
    module M=maxideal(1)*jacob(I);
    module N=I*freemodule(2);
    coDim(M,N,I,15);
    ==> 6

User manual for Singular version 4.4.1, 2025, generated by texi2html.